/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xliff.util.task.valueobject;

/**
 * 処理クラス [BlancoXliffUtilExtractNeedsTranslationProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoXliffUtilExtractNeedsTranslationProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [targetfile]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力対象の XLIFF (*.xlf) ファイル
     */
    private String fTargetfile;

    /**
     * フィールド [xliffdir]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。
     */
    private String fXliffdir;

    /**
     * フィールド [getstateneedstranslation]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * state が needs-translation の trans-unit を取得するかどうか。
     */
    private boolean fGetstateneedstranslation = true;

    /**
     * フィールド [getstatenew]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * state が new の trans-unit を取得するかどうか。
     */
    private boolean fGetstatenew = false;

    /**
     * フィールド [gettargetnotexist]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * そもそも target が存在しない trans-unit を取得するかどうか。
     */
    private boolean fGettargetnotexist = false;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [targetfile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力対象の XLIFF (*.xlf) ファイル
     *
     * @param argTargetfile フィールド[targetfile]に格納したい値
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド[targetfile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力対象の XLIFF (*.xlf) ファイル
     *
     * @return フィールド[targetfile]に格納されている値
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * フィールド [xliffdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。
     *
     * @param argXliffdir フィールド[xliffdir]に格納したい値
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド[xliffdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力対象の XLIFF (*.xlf) ファイルが含まれるディレクトリ。
     *
     * @return フィールド[xliffdir]に格納されている値
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [getstateneedstranslation]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * state が needs-translation の trans-unit を取得するかどうか。
     *
     * @param argGetstateneedstranslation フィールド[getstateneedstranslation]に格納したい値
     */
    public void setGetstateneedstranslation(final boolean argGetstateneedstranslation) {
        fGetstateneedstranslation = argGetstateneedstranslation;
    }

    /**
     * フィールド[getstateneedstranslation]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [true]<br>
     * state が needs-translation の trans-unit を取得するかどうか。
     *
     * @return フィールド[getstateneedstranslation]に格納されている値
     */
    public boolean getGetstateneedstranslation() {
        return fGetstateneedstranslation;
    }

    /**
     * フィールド [getstatenew]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * state が new の trans-unit を取得するかどうか。
     *
     * @param argGetstatenew フィールド[getstatenew]に格納したい値
     */
    public void setGetstatenew(final boolean argGetstatenew) {
        fGetstatenew = argGetstatenew;
    }

    /**
     * フィールド[getstatenew]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * state が new の trans-unit を取得するかどうか。
     *
     * @return フィールド[getstatenew]に格納されている値
     */
    public boolean getGetstatenew() {
        return fGetstatenew;
    }

    /**
     * フィールド [gettargetnotexist]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * そもそも target が存在しない trans-unit を取得するかどうか。
     *
     * @param argGettargetnotexist フィールド[gettargetnotexist]に格納したい値
     */
    public void setGettargetnotexist(final boolean argGettargetnotexist) {
        fGettargetnotexist = argGettargetnotexist;
    }

    /**
     * フィールド[gettargetnotexist]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * そもそも target が存在しない trans-unit を取得するかどうか。
     *
     * @return フィールド[gettargetnotexist]に格納されている値
     */
    public boolean getGettargetnotexist() {
        return fGettargetnotexist;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xliff.util.task.valueobject.BlancoXliffUtilExtractNeedsTranslationProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",targetfile=" + fTargetfile);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",getstateneedstranslation=" + fGetstateneedstranslation);
        buf.append(",getstatenew=" + fGetstatenew);
        buf.append(",gettargetnotexist=" + fGettargetnotexist);
        buf.append("]");
        return buf.toString();
    }
}
